var mainSettings = (function()
{
  var isFixNeeded = false;
  
  /*class constructor.*/
  function Initialize()
  {
    var self = this;
  }

  Initialize.LoadSettings = function()
  {
    var ua = window.navigator.userAgent.toLowerCase();

    if (ua.indexOf("android") >= 0)
    {
      var androidversion = parseFloat(ua.slice(ua.indexOf("android") + 8)); 
      
      if (androidversion < 3)
      {
        isFixNeeded = true;
      }
    }    

    // check if they are empty
    if (localStorage.getItem("MyHome_Settings_ID") === null)
    {
      localStorage.setItem("MyHome_Settings_ID", "default");
      Initialize.SetIsDemoUserRegistered(false);
      Initialize.SetRememberMe(true);
      Initialize.SetLanguage("sl-SI");
      Initialize.SetMenuSize("large");
    }    
  };
  
  Initialize.GetIsFixNeeded = function()
  {
    return isFixNeeded
  };

  Initialize.GetLanguage = function()
  {
    return localStorage.getItem("MyHome_Settings_Language");
  };
  
  Initialize.GetMenuSize = function()
  {
    return localStorage.getItem("MyHome_Settings_MenuSize");
  };

  Initialize.GetRememberMe = function()
  {
    return (localStorage.getItem("MyHome_Settings_RememberMe") === "true");
  };

  Initialize.GetUserName = function()
  {
    return localStorage.getItem("MyHome_Settings_UserName");
  };

  Initialize.GetPassword = function()
  {
    return localStorage.getItem("MyHome_Settings_Password");
  };

  Initialize.GetIsDemoUserRegistered = function()
  {
    return (localStorage.getItem("MyHome_Settings_IsDemoUserRegistered") === "true");
  };

  Initialize.SetLanguage = function(value)
  {
    localStorage.setItem("MyHome_Settings_Language", value);
  };
  
  Initialize.SetMenuSize = function(value)
  {
    localStorage.setItem("MyHome_Settings_MenuSize", value);
  };

  Initialize.SetRememberMe = function(value)
  {
    localStorage.setItem("MyHome_Settings_RememberMe", value.toString());
  };

  Initialize.SetUserName = function(value)
  {
    localStorage.setItem("MyHome_Settings_UserName", value);
  };

  Initialize.SetPassword = function(value)
  {
    localStorage.setItem("MyHome_Settings_Password", value);
  };

  Initialize.SetIsDemoUserRegistered = function(value)
  {
    localStorage.setItem("MyHome_Settings_IsDemoUserRegistered", value.toString());
  };

  Initialize.isPhoneGapAvailable = function()
  {
    return ((Ext.is.Phone) || (Ext.is.Tablet));
  };
  
  return Initialize;
})();