﻿StartupPanel =
{
  id: 'ID_StartupPanel',
  cls: 'CS_StartupPanel',
  layout:
  {
    type : 'vbox',
    align: 'stretch',
    pack: 'top'
  },
		  style: {
            // backgroundImage: 'url(../images/topbar_bg.png)',
            // backgroundRepeat: 'repeat-x',
            // backgroundPosition: 'top center',
			
            //backgroundRepeat: 'no-repeat',
            //backgroundPosition: 'bottom center',
			// backgroundColor: '#0f1111'
		  },
  items:
  [
	{
	  xtype: 'panel',
	  height: 77,
	  layout:
	  {
		type: 'hbox'
	  },
	  items:
	  [
		{

		  cls: 'CS_Logout_Container',
		 
		  height: 77,
		  flex: 1,
		  layout:
		  {
			type: 'hbox',
			pack: 'left'
		  },
		  items:
		  [
			{
			  id: 'ID_Logout_Button',
			  xtype: "spacer",
			  html :""
			},
			{
			  // id: this.titleId,
			  cls: "appStateTitleContainer",
			  html: '<div class="appStateTitle"><p>Si.nadzor</p></div>',
			  height: 60,
			  flex: 2
			},
			{
			  xtype: 'panel',
			  html: '<img class="CS_Logo_Small" src="images/logo_small.png">',
			  height: 60,
			  width: 48,
			  flex: 1
			}
		  ]
		}
	  ]
	},
    {
      id: 'ID_StartupForm',
      cls: 'ID_StartupForm',
      xtype: 'formpanel',
	
      layout:
      {
        type: 'vbox',
        pack: 'center'
      },

      items:
      [
        {
          cls: 'CS_Startup_Field',
          xtype: "fieldset",
          margin: "5px 0px",
          items:
          [
            {
              id: 'ID_BTN_SU_Login',
              cls: 'CS_BTN_ConfirmAction',
              xtype: "button",
              text: Language.Application.Startup_Login,
              ui: "confirm",
              height: 60,
			  html: '<img src="images/btn_arrow.png" class="arrow_right" />',
              handler: function(button)
              {
                appDemoMode = false;
                setAppNextState(ApplicationStates.Authentication);
                MainPanel.setActiveItem(ApplicationStates.Authentication);
              }
            }
          ]
        },
        {
          cls: 'CS_Startup_Field',
          xtype: "fieldset",
          margin: "5px 0px",
          items:
          [
            {
              id: 'ID_BTN_SU_Demo',
              cls: 'CS_BTN_ConfirmAction',
              xtype: "button",
              text: Language.Application.Startup_Demo,
              ui: "confirm",
              height: 60,
			  html: '<img src="images/btn_arrow.png" class="arrow_right" />',
              handler: function(button)
              {
                appDemoMode = true;

                LoggedUser.Login
                (
                  "demo",
                  "demo",

                  function OnComplete(success)
                  {
                    MainPanel.setLoading(false);
                  },

                  function OnSuccess(Response)
                  {
                    setAppNextState(ApplicationStates.MainMenu);
                    MainPanel.setActiveItem(ApplicationStates.MainMenu);
                  },

                  function OnWrongLogin(Response)
                  {
                    Ext.Msg.alert(Language.Application.Common_Error, Language.Application.Auth_WrongLogin);
                  },

                  function OnFailure(Response)
                  {
                    Ext.Msg.alert(Language.Application.Common_Error, Language.Application.Auth_LoginFailed);
                  }
                );
              }
            }
          ]
        }
        /*
        ,
        {
          cls: 'CS_Startup_Field',
          xtype: "fieldset",
          margin: "5px",
          items:
          [
            {
              id: 'ID_BTN_SU_Register',
              cls: 'CS_BTN_ConfirmAction',
              xtype: "button",
              text: Language.Application.Startup_Registration,
              ui: "confirm",
              height: 45,
              handler: function(button)
              {

              }
            }
          ]
        }
        */
      ]
    }
  ]
};