if (Ext.MessageBox)
{
  Ext.MessageBox.OK.text = Language.Application.Common_MessageBox_OK;
  Ext.MessageBox.CANCEL.text = Language.Application.Common_MessageBox_CANCEL;
  Ext.MessageBox.YES.text = Language.Application.Common_MessageBox_YES;
  Ext.MessageBox.NO.text = Language.Application.Common_MessageBox_NO;
}

if (Ext.Picker)
{
  var originalInitComponent = Ext.Picker.prototype.initComponent;
  
  Ext.override(Ext.Picker, 
  {
    doneButton: Language.Application.Common_Picker_DONE,
    cancelButton: Language.Application.Common_Picker_CANCEL,
    initComponent: function() 
    {
      this.on('show', function () 
      {
        pickerInstance = this;
        pickerVisible = true;
        DisableApplication();
        Ext.Msg.doLayout();
      });
      this.on('hide', function () 
      {
        pickerInstance = null;
        pickerVisible = false;
        EnableApplication();
      });

      originalInitComponent.apply(this);
    }
  });
}

function resetMsgBox() 
{
  Ext.Msg = new Ext.MessageBox();
  
  Ext.Msg.on('show', function () 
  {
    var mc = Ext.Msg.getEl().select('.x-msgbox-content').elements[0];
    var mb = Ext.Msg.getEl().select('.x-msgbox-body').elements[0];
    Ext.Msg.setHeight(mc.clientHeight + mb.offsetTop + 73);    
    msgBoxVisible = true;
    DisableApplication();
  });

  Ext.Msg.on('hide', function () 
  {
    msgBoxVisible = false;
    EnableApplication();
    Ext.Msg.destroy();
  });

  Ext.Msg.on('destroy', function () 
  {
    resetMsgBox();
  });
}

// call it once
Ext.Msg.destroy();
resetMsgBox();
