﻿Ext.regModel('Device',
{
  idProperty: 'deviceId',
  fields:
  [
    {name: 'deviceId',  type: 'auto', defaultValue: null},
    {name: 'deviceName',  type: 'auto', defaultValue: null},
    {name: 'deviceReport',  type: 'auto', defaultValue: null},
    {name: 'groupId',  type: 'auto', defaultValue: null},
    {name: 'status',  type: 'auto', defaultValue: null},
    {name: 'lastQuery', type: 'auto', defaultValue: null},
    {name: 'lastResponse', type: 'auto', defaultValue: null},
    {name: 'deviceImpl', type: 'auto', defaultValue: null},
    {name: 'type', type: 'auto', defaultValue: null},
    {name: 'deviceOn', type: 'boolean', defaultValue: false},
    {name: 'registered', type: 'boolean', defaultValue: false},
    {name: 'operationMode', type: 'auto', defaultValue: null},
    {name: 'estimatedReponseTime', type: 'auto', defaultValue: null}
  ]
});

Ext.regModel('DeviceImpl',
{
  idProperty: 'deviceImpl',
  fields:
  [
    {name: 'deviceImpl',  type: 'auto', defaultValue: null},
    {name: 'masterDeviceImpl',  type: 'auto', defaultValue: null},
    {name: 'name',  type: 'auto', defaultValue: null},
    {name: 'type',  type: 'auto', defaultValue: null},
    {name: 'hiddenForUsage',  type: 'boolean', defaultValue: false},
    {name: 'hiddenForRegistration', type: 'boolean', defaultValue: false}
  ]
});

Ext.regModel('Group',
{
  idProperty: 'id',
  fields:
  [
    {name: 'id',  type: 'auto', defaultValue: null},
    {name: 'name',  type: 'auto', defaultValue: null}
  ]
});

Ext.regModel('UnusedMISISDN',
{
  idProperty: 'number',
  fields:
  [
    {name: 'number',  type: 'string', defaultValue: null}
  ]
});

Ext.regModel('DeviceDetails',
{
  idProperty: 'deviceId',
  fields:
  [
    {name: 'deviceId',  type: 'auto', defaultValue: null},
    {name: 'details',  type: 'auto', defaultValue: null}
  ]
});

Ext.regModel('Languages', 
{
  idProperty: 'LNGCode',
  fields: 
  [
    {name: 'LNGCode', type: 'string'},
    {name: 'display', type: 'string'}
  ]
});

Ext.regModel('MenuSizes', 
{
  idProperty: 'MenuSizeCode',
  fields: 
  [
    {name: 'MenuSizeCode',  type: 'string'},
    {name: 'display',  type: 'string'}
  ]
});


Ext.regModel('AppSettings', 
{
  fields: ['Description', 'Execute']
});

Ext.regModel('ActionsMenu', 
{
  fields: 
  [
    {name: 'id', type: 'int'},
    {name: 'name', type: 'string'},
    {name: 'action', type: 'string'}
  ]
});

